> ## Documentation Index
> Fetch the complete documentation index at: https://docs.edgeimpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert current evaluation user

> Convert current evaluation user account to regular account.



## OpenAPI

````yaml /.assets/openapi.yaml post /api/user/convert
openapi: 3.0.0
info:
  title: Edge Impulse API
  version: 1.0.0
servers:
  - url: https://studio.edgeimpulse.com/v1
security:
  - ApiKeyAuthentication: []
  - JWTAuthentication: []
  - JWTHttpHeaderAuthentication: []
  - OAuth2: []
paths:
  /api/user/convert:
    post:
      tags:
        - User
      summary: Convert current evaluation user
      description: Convert current evaluation user account to regular account.
      operationId: convertCurrentUser
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConvertUserRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericApiResponse'
components:
  schemas:
    ConvertUserRequest:
      type: object
      required:
        - name
        - username
        - email
        - password
        - privacyPolicy
        - turnstileResponse
      properties:
        name:
          type: string
          description: Your name
          example: Jan Jongboom
        username:
          type: string
          description: >-
            Username, minimum 4 and maximum 30 characters. May contain
            alphanumeric characters, hyphens, underscores and dots. Validated
            according to
            `^(?=.{4,30}$)(?![_.])(?!.*[_.]{2})[a-zA-Z0-9._-]+(?<![_.])$`.
          example: janjongboom
        email:
          type: string
          description: >-
            E-mail address. Will need to be validated before the account will
            become active.
          example: jan@edgeimpulse.com
        password:
          type: string
          description: Password, minimum length 8 characters.
        projectName:
          type: string
          description: >-
            A project will automatically be created. Sets the name of the first
            project. If not set, this will be derived from the username.
        privacyPolicy:
          type: boolean
          description: Whether the user accepted the privacy policy
        turnstileResponse:
          type: string
          description: CloudFlare Turnstile response token
    GenericApiResponse:
      type: object
      required:
        - success
      properties:
        success:
          type: boolean
          description: Whether the operation succeeded
        error:
          type: string
          description: Optional error description (set if 'success' was false)
  securitySchemes:
    ApiKeyAuthentication:
      type: apiKey
      in: header
      name: x-api-key
    JWTAuthentication:
      type: apiKey
      in: cookie
      name: jwt
    JWTHttpHeaderAuthentication:
      type: apiKey
      in: header
      name: x-jwt-token
    OAuth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: /v1/oauth/authorize
          tokenUrl: /v1/oauth/token
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information
        implicit:
          authorizationUrl: /v1/oauth/authorize
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information
        password:
          tokenUrl: /v1/oauth/token
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information
        clientCredentials:
          tokenUrl: /v1/oauth/token
          scopes:
            openid: Access to basic profile information
            email: Access to email address
            profile: Access to full profile information

````